Jump to content
ElementaryOS France
  • 0
Sign in to follow this  
Fnux

eOS (Luna and Freya) ne fonctionne pas en VM.

Question

Bonjour,

 

Je viens de découvrir (grâce à un article de PCImpact) elementaryOS, et j'ai immédiatement téléchargé les .iso(s) de Luna et de Freya (64 bit) car l apub faite de son interface m'a exité (comme un pou).

 

Mais avant de les installer "en dur" sur une de mes machines, j'ai essayé de les faire fonctionner dans des VM (Virtual Machines) aussi bien avec VirtualBox qu'avec VMware (j'ai une licence officielle et payée de VMware Workstation 9.0.4 avec la quelle je fais fonctionner plus de 20 distributions différentes (en 32 et 64 bit) sans le moindre problème, de ArchLinux à Ubuntu en passant par Bridge, CentOS, Debian, LMDE, LinuxMint, Manjaro, RHEL, etc. etc. etc. et même WIndows 7 Ultimate => c'est tout dire LoL).

 

Premier contact : le Live CD/DVD.

 

Que ce soit avec VirtualBox ou VMware, tout fonctionne très bien (sauf bien sur les options ou logiciels qui ne sont pas encore actifs).

 

Cela m'a parmi cependant d'apprécier l'interface particulièrement bien léchée de cet OS et ça m'a vraiment plu (une interface à la "Mac" dans un PC sous Linux : Le rêve).

 

Ensuite, pour l'installation pas de problème particulier (c'est du Canonical pur et dur avec ses qualités... et surtout ses "gros" défauts (mais j'y reviendrai plus tard).

 

Fin de l'installation et reboot :

 

Là, les problèmes commencent sérieusement !

 

Avec VMware, grub se lance, puis plus rien. Ecran noir. Et ce, aussi bien avec Luna qu'avec Freya. Donc, abandon pur et simple.

 

Note : Ubuntu Lucid, Precise et Trusty fonctionnent parfaitement dans des VM de VMware que ce soit en 32 ou en 64 bit.

 

Avec VirtualBox, c'est à peine mieux :

 

L'interface graphique est bien là, mais dès que l'on veut changer la résolution d'écran qui est par défaut de 640x480 (une résolution graphique qui n'est plus utilisée depuis près de 20 ans), on se retrouve bloqué car le panneau de dialogue est :

 

a) plus grand que 640x480

B) centré pour un écran 800x600

c) n'est pas déplaçable

 

Voici ce que cela donne : http://www.as2.com/linux/eos/screenshot-eos-001.png

 

Résultat : impossible d'atteindre les paramètres de résolution d'écran (normalement en bas à droite du panneau de dialogue) pour utiliser une résolution plus grande.

 

Ce problème est connu de Canonical depuis très longtemps mais rien n'a jamais été fait pour qu'il soit corrigé depuis la 10.04 (Oops).

 

Merci de bien vouloir faire remonter ces deux problèmes (incompatibilité avec VMware et taille d'écran par défaut) car si il ne m'est pas possible d'utiliser eOS dans une VM (et en particulier sous VMware), ce sera pour moi la fin de cette distro, et ce serait bien domage car elle me semble non seulement attrayante mais aussi qu'elle réponde aux besoins de très nombreux "newbees" que je converti actuellement à LMDE ou LinuxMint (faute de grives, on mange des merles).

 

Très cordialement.

 

PS : Merci de ne pas prendre ce post comme une critique, mais comme une simple remarque amicale car j'aimerai vraiment que eOS devienne l'OS de prédilection que je propose à tous mes élèves.

 

PS: Je poste un autre message concernant l'installation elle même (et les "gros" défauts mentionnés plus haut).

Edited by Fnux

Share this post


Link to post
Share on other sites

8 answers to this question

Recommended Posts

  • 0

Salut, je ne sais pas pour VMWare, mais pour Virtualbox, il faut installer le driver suivant:

 

virtualbox-guest-x11

 

Tous le trouvera dans l'app store.

 

Sinon, tu peux l'installer depuis la console en tapant:

 

sudo apt-get install virtualbox-guest-x11

 

N'oublie pas de redémarrer la VM ;)

 

Le problème est connu, est a été résolu par Canonical pour les versions récente d'Ubuntu. Malheureusement, Freya utilise une

base ubuntu pour entreprise, plus stable, qui contient encore le bug.

Edited by samdolt

Share this post


Link to post
Share on other sites
  • 0

Bonjour samdolt, et merci pour l'info.

 

En effet, l'installation de virtualbox-guest-x11 règle "partiellement" le problème. L'écran de VirtualBox passe alors dans une définition arbitraire de l'ordre de 1600x980, MAIS qui n'est pas réglable. :/

 

Cette limitation (comme d'autres problèmes de VirtualBox dont en particulier celui de la consommation CPU) fait que je préfère une VMware-Workstation payante à une VirtualBox gratuite (à noter que le Player de VMware qui permet de créer des VM est quand à lui gratuit).

 

Malheureusement, Freya utilise une base ubuntu pour entreprise, plus stable, qui contient encore le bug.

Peux-tu m'en dire un peu plus sur ce qu'est une "base d'Ubuntu pour entreprise" car je n'ai jamais entendu parlé d'une telle version ni de ses particularités qui la rendraient plus "stable" par rapport aux releases standards de Precise et/ou de Trusty ?

 

Pour info, actuellement j'utilise en production Precise 12.04.5 (kernel 3.5.0-54 generic) et en test Trusty 14.04.1 (kernel 3.13.0-35 generic) et Freya que je viens d'installer pour test est (après un #apt-get update et un #apt-get dist-upgrade) avec un kernel 3.13.0-34 (donc à priori très proche du dernier de Trusty).

 

Merci et bon dimanche. ;)

 

PS : A contrario de certains Geeks Ayatollahs inconditionnels du "libre", je n'ai strictement rien contre les softs propriétaires closed-sources (gratuits ou payants) lorsqu'ils sont meilleurs que les softs open-sources et gratuits, et quand c'est le cas (comme pour VMware-Workstation vs. VirtualBox), je fais l'effort (si j'en ai besoin) de me les offrir (mais c'est un autre débat). :cool:

Share this post


Link to post
Share on other sites
  • 0

Elementary OS se base sur les version "LTS" d'Ubuntu.

 

LTS pour Long Term Support. Il en sort une tous les deux ans.

 

Les versions normale ont 9 mois de support et donc de mise à jour de sécurité

Les versions LTS ont des mises à jour de sécurité pendant 5 ans

 

En générale, cette version ne contient jamais de grande nouveauté, pour ne pas introduire de bug.

 

Un peu comme ça :

 

14.04 => Version LTS, peu de nouveauté

 

14.10 => Version normal, plein de nouveauté, plus de bug

15.04 => Version normal,plein de nouveauté, plus de bug

15.10 => Version normal, un peu moins de nouveauté, un peu de bug

 

16.04 => Version LTS

 

 

Pour plus d'info

Share this post


Link to post
Share on other sites
  • 0

Pour VirtualBox, tu peux encore essayer d'installer les Addons officiels. Ils vaudras par contre supprimer virtualbox-guest-x11 qui sera réinstaller après.

 

sudo apt-get remove virtualbox-guest-x11

 

Puis suit cette procédure

Share this post


Link to post
Share on other sites
  • 0

j'utilise aussi vmware workstation depuis très longtemps, pour la résolution d'écran il est conseiller d'installé aussi l'add-on de vmware.

 

tuto pour installer vmware tools sur un ubuntu

 

je vous conseil aussi de voir si votre licence permet d'utilisé la dernière version en date de workstation:

vmware workstation 10

 

bonne journée professeur Fnux ;)

Share this post


Link to post
Share on other sites
  • 0

Re bonjour samdolt

 

Elementary OS se base sur les version "LTS" d'Ubuntu.

Pour plus d'info

OK, donc les LTS sont les versions entreprises.

 

Merci de cette précision car je ne connaissais pas cette subtilité. ;)

Share this post


Link to post
Share on other sites
  • 0

Bonjour Vermilion,

 

j'utilise aussi vmware workstation depuis très longtemps, pour la résolution d'écran il est conseiller d'installé aussi l'add-on de vmware.

 

tuto pour installer vmware tools sur un ubuntu

 

je vous conseil aussi de voir si votre licence permet d'utilisé la dernière version en date de workstation:

vmware workstation 10

 

bonne journée professeur Fnux ;)

Merci pour le tuto, mais je pense en avoir aussi écrit un bien plus détaillé depuis pas mal de temps. Donc, l'ajout des VNware Tools (ce que tu appelles l'add-on) est pour moi systématique, mais seulement à partir du moment ou la VM démarre, ce qui n'est pas le cas (pour l'instant sur ma machine) de eOS Luna et Freya (sous VMware Workstation 9.0.4).

 

Mes licences payées VMware-Workstation sont pour les versions 8 et 9, et je n'ai pas encore jugé utile de payer la mise à jour pour la version 10 qui à priori ne m'apporte rien (pour l'instant).

 

Merci aussi pour le titre émérite de "professeur" que tu me donnes et que je ne mérite certainement pas aux vues de mes piètres connaissances de Linux dont je découvre les subtilités et avantages depuis 4 ans grâce à de nombreuses et différentes distributions (voir ma signature) qui m'en apprennent tous les jours un peu plus. J'aurai donc mieux apprécié le titre "d'élève studieux et/ou curieux" bien plus adéquat. :rolleyes:

Share this post


Link to post
Share on other sites
  • 0

je pense qu'il y a de forte chance que ça marche avec la version 10, je vous conseil de tester la version d'évaluation car chez moi j'ai réussis a me débrouiller a faire une installation de freya sur une partions physique de mon pc portable (car mon lecteur dvd est mort et que ce dernier ne supporte pas l'installation via clé usb ... vive HP)

 

sinon je vous conseil de tester elive ;) j'aime beaucoup le démarrage de cette dernière mais j'aime pas vraiment l'environnement (trop de clique droit... etc): youtube elive gen

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×
×
  • Create New...